[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'dynlibs' (#rtl)

# GetProcedureAddress

Get the address of a procedure or symbol in a dynamic library.

## Declaration

Source position: dynlibs.pas line 38

`function GetProcedureAddress(`
`Lib: TLibHandle;`
`const ProcName: AnsiString`
`):Pointer;`

## Description

GetProcedureAddress returns a pointer to the location in memory of the symbol ProcName in the dynamically loaded library specified by it's handle lib. If the symbol cannot be found or the handle is invalid, Nil is returned.

On Windows, only an exported procedure or function can be searched this way. On Unix platforms the location of any exported symbol can be retrieved this way.

## Errors

If the symbol cannot be found, Nil is returned.

## See also

LoadLibrary |  | Load a dynamic library and return a handle to it.
UnLoadLibrary |  | Unload a previously loaded library

Documentation generated on: Feb 26 2014